# Get bidder

Get bidder by public key

```
GET /bidders/{public_key}?era_id={era_id}
```

## Query params

| Query param | Description                                                                                                                                         |
| ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| `era_id`    | Active auction era identifier. Data for older eras aren't persistent for long, and will eventually become unavailable. This is a required parameter |

## Sorting

None

## Optional properties

| Property              | Type                                                                                   | Description                                                                                                            |
| --------------------- | -------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| `account_info`        | [`AccountInfo`](https://docs.cspr.cloud/1.1.x/rest-api/account-info)                   | Bidder [account info](https://github.com/make-software/casper-account-info-contract)                                   |
| `average_performance` | [`ValidatorPerformance`](https://docs.cspr.cloud/1.1.x/rest-api/validator-performance) | Moving average of validator performance based on the received rewards over the past 360 eras (approximately one month) |

## Response

[`Bidder`](https://docs.cspr.cloud/1.1.x/rest-api/bidder)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/bidders/018f84c6fc037284f189cc8cb49f89212ff434a5eb050e48cdd164ff3890fbff69?era_id=12100' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'

```

```json
{
  "data": {
    "delegators_number": 326,
    "delegators_stake": 515236483487045440,
    "era_id": 12136,
    "fee": 15,
    "is_active": true,
    "network_share": "6.03",
    "public_key": "018f84c6fc037284f189cc8cb49f89212ff434a5eb050e48cdd164ff3890fbff69",
    "rank": 1,
    "self_share": "0.31",
    "self_stake": 1588933419545728,
    "total_stake": 516825416906591170
  }
}
```
